# TxtMagic

<b>TxtMagic</b> is a Python package designed to add magic to your text! With TextMagic, you can easily transform your text into colorful, emoji-filled, and stylized formats.

## Features
<li><b> Colorify:  </b>Apply basic colors, custom RGB colors, or rainbow gradients to your text.</li>

<li><b>Emojify: </b>Replace keywords in your text with corresponding emojis.</li>

<li><b>Fontify: </b>Transform your text into various font styles (e.g., bold, cursive, subscript, etc.).</li>

## Installation

<pre>pip install TxtMagic</pre>


## Comparison with Existing Packages


<table>
  <thead>
    <tr>
      <th>Feature</th>
      <th>TxtMagic</th>
      <th>Existing Packages (e.g., <code>colorama</code>, <code>emoji</code>, <code>pyfiglet</code>)</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td><strong>Colorization</strong></td>
      <td>✅ Supports basic colors, custom RGB, and rainbow gradients.</td>
      <td>❌ Most packages (e.g., <code>colorama</code>, <code>termcolor</code>) only support basic ANSI colors.</td>
    </tr>
    <tr>
      <td><strong>Emoji Replacement</strong></td>
      <td>✅ Replaces keywords with emojis and integrates with color and font styling.</td>
      <td>❌ Packages like <code>emoji</code> only focus on emoji replacement.</td>
    </tr>
    <tr>
      <td><strong>Font Styling</strong></td>
      <td>✅ Offers a wide range of font styles (e.g., bold, cursive, subscript, etc.).</td>
      <td>❌ Packages like <code>pyfiglet</code> focus on ASCII art, not Unicode-based font styling.</td>
    </tr>
    <tr>
      <td><strong>Combination of Features</strong></td>
      <td>✅ Combines color, emojis, and fonts seamlessly.</td>
      <td>❌ No existing package combines all three features.</td>
    </tr>
    <tr>
      <td><strong>Ease of Use</strong></td>
      <td>✅ Simple and easy syntax for all features.</td>
      <td>❌ Users often need to combine multiple packages and use multiple syntax for similar functionality.</td>
    </tr>
    <tr>
      <td><strong>Customization</strong></td>
      <td>✅ Allows custom RGB colors and unique font styles.</td>
      <td>❌ Limited customization options in most packages.</td>
    </tr>
  </tbody>
</table>


